Subject: Re: Calcskew
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 4 Apr 2001 03:41:00 -0700 (PDT)

John,

The calcskew function was written in Excel VB for your option pricing model. 
The function has performed well for
the number of times it is used in your model. I took a look at your 
spreadsheet, and had a few IT programers take
a look at it as well. For the amount of times you're calling the function in 
the new spreadsheet, Excel VB is not 
the appropriate language for the function. My suggestion to you is that for 
these more calculation-intensive workbooks,
we use a function developed in C\C++.  I spoke with Paulo, and he will be 
looking into this, and will get in touch with you
today.

-Hector

John Griffith@ENRON
04/03/2001 04:40 PM
To: Hector Campos/HOU/ECT@ECT, Paulo Issler/HOU/ECT@ECT, Bob 
Lee/NA/Enron@Enron
cc: Mike Maggi/Corp/Enron@Enron, Dutch Quigley/HOU/ECT@ECT 
Subject: Calcskew

Hector,

I just wanted to let you know that a floor tech looked at the file that had 
the calcskew function in it (the one I sent you).  I was having problems with 
Dr. Watson with the file.  I copied the contents to another workbook and had 
the same problems.  Either I didn't copy over the module correctly (vba), or 
there are some problems with the function (when it is used many times in a 
worksheet).  Please let me know what you think.  I am trying to use the 
function to value our entire portfolio during the day and until I get this 
worked out, I can't do it.  Thanks for your help.

Sincerely,

John Griffith